#
# Revelation - a password manager for GNOME 2
# http://oss.codepoet.no/revelation/
# $Id$
#
# module for configuration handling
#
#
# Copyright (c) 2003-2006 Erik Grinaker
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

from . import util
import gettext

_ = gettext.gettext

DIR_ICONS       = "/usr/share/revelation/icons"
DIR_LOCALE      = "/usr/share/locale"
DIR_UI          = "/usr/share/revelation"
DIR_GSCHEMAS    = "/usr/share/revelation/schemas"

APPNAME     = "Revelation"
PACKAGE     = "revelation"
VERSION     = "0.5.4"
DATAVERSION = 2
RELNAME     = "Drifting through the marsh we made it just outside the bend"
URL         = "https://revelation.olasagasti.info/"
AUTHORS     = [ "Erik Grinaker <erikg@codepoet.no>","Mikel Olasagasti Uranga <mikel@olasagasti.info>" ]
ARTISTS     = [ "Erik Grinaker <erikg@codepoet.no>" ]
COPYRIGHT   = _('Copyright') + " \251 2003-2007 Erik Grinaker\n2010-2020 Mikel Olasagasti Uranga"
LICENSE     = _("""Revelation is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Revelation is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Revelation; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA""")



class ConfigError(Exception):
    "Configuration error exception"
    pass
